List all runAgent automations that belong to the specified agent. Returns automations in reverse-chronological order (newest first). Use the cursor pagination parameters (limit, after, before) to page through large result sets.
A cursor to use in pagination. after is an object ID that defines your place in the list. For example, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo to fetch the next page of the list.
A cursor to use in pagination. before is an object ID that defines your place in the list. For example, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include before=obj_bar to fetch the previous page of the list.
Whether additional pages are available. When true, pass the ID of the last item in data as the after cursor to fetch the next page.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Datagrid AI","colors":{"primary":"#000000","light":"#ffbc4d","dark":"#ffbc4d"},"logo":{"light":"https://mintcdn.com/datagrid/3IQk8fJ69KvSFDfU/images/datagrid-logo-light.svg?fit=max\u0026auto=format\u0026n=3IQk8fJ69KvSFDfU\u0026q=85\u0026s=c4274428e9b371bf09005fa9db0ed804","dark":"https://mintcdn.com/datagrid/3IQk8fJ69KvSFDfU/images/datagrid-logo-dark.svg?fit=max\u0026auto=format\u0026n=3IQk8fJ69KvSFDfU\u0026q=85\u0026s=2ef6295f04b1f337c487f26665adc131","href":"https://datagrid.com/"},"favicon":"https://mintcdn.com/datagrid/3IQk8fJ69KvSFDfU/favicon.svg?fit=max\u0026auto=format\u0026n=3IQk8fJ69KvSFDfU\u0026q=85\u0026s=347899b9390b1be995b97d69e8f3e053","api":{"openapi":"datagrid-ai-open-api.yaml","playground":{"display":"interactive"},"examples":{"languages":["python","javascript","bash"]},"mdx":{"server":"https://api.datagrid.com"}},"background":{"decoration":"windows"},"navbar":{"links":[{"href":"mailto:support@datagrid.com","label":"Support"}],"primary":{"type":"button","label":"Get your API Key","href":"https://app.datagrid.com/chats?at=chats\u0026st=api_keys\u0026redirect_url=chats?at=chats%26st=api_keys"}},"footer":{"socials":{"github":"https://github.com/DatagridAI","linkedin":"https://linkedin.com/company/Datagrid-AI","slack":"https://join.slack.com/t/datagrid-users/shared_invite/zt-2tl2omd78-qO8zHN5_sK39_lRsyZA4Dg"}},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Get your API Key","icon":"code","href":"https://app.datagrid.com/chats?at=chats\u0026st=api_keys\u0026redirect_url=chats?at=chats%26st=api_keys"},{"anchor":"Join us on Slack","icon":"slack","href":"https://join.slack.com/t/datagrid-users/shared_invite/zt-2tl2omd78-qO8zHN5_sK39_lRsyZA4Dg"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"datagrid","hasAudioNarration":false,"actualSubdomain":"datagrid","customDomains":["developers.datagrid.com"],"gitSource":{"type":"github","owner":"toriclabs","repo":"main","deployBranch":"mintlify-prod-docs","contentDirectory":"docs/datagrid-ai","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aea5b1ca9f02469cf872316","collectionId":"28b2bbba-4431-4f8f-94bc-4bc21a0bd986","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aea5b1ca9f02469cf872316"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aecff271d592543bbbe5007","clientVersion":"0.0.4074","searchFilterCounts":[{"language":"default","tag":"API Reference","count":176},{"language":"default","tag":"Knowledge","count":20},{"language":"default","tag":"Organization","count":19},{"language":"default","tag":"Channels","count":16},{"language":"default","tag":"Skills","count":12},{"language":"default","tag":"Agents","count":9},{"language":"default","tag":"Converse","count":8},{"language":"default","tag":"MCP Servers - Beta","count":8},{"language":"default","tag":"Batch Predictions","count":7},{"language":"default","tag":"Data Views","count":7}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".token{text-wrap:auto}"}],"page":{"pagePath":"api-reference/automations/list-automations","slug":"/api-reference/automations/list-automations","pageMetadata":{"openapi":"get /agents/{agent_id}/automations","title":"List automations","description":"List all `runAgent` automations that belong to the specified agent. Returns automations in reverse-chronological order (newest first). Use the cursor pagination parameters (`limit`, `after`, `before`) to page through large result sets.","href":"/api-reference/automations/list-automations"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"List all \", _jsx(_components.code, {\n children: \"runAgent\"\n }), \" automations that belong to the specified agent. Returns automations in reverse-chronological order (newest first). Use the cursor pagination parameters (\", _jsx(_components.code, {\n children: \"limit\"\n }), \", \", _jsx(_components.code, {\n children: \"after\"\n }), \", \", _jsx(_components.code, {\n children: \"before\"\n }), \") to page through large result sets.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"get /agents/{agent_id}/automations","title":"List automations","description":"List all `runAgent` automations that belong to the specified agent. Returns automations in reverse-chronological order (newest first). Use the cursor pagination parameters (`limit`, `after`, `before`) to page through large result sets.","href":"/api-reference/automations/list-automations"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/datagrid/63000a1b04510866/tools/jest.config.js"],"openApiReferenceData":{"operation":{"summary":"List automations","operationId":"ListAutomations","description":"List all `runAgent` automations that belong to the specified agent. Returns automations in reverse-chronological order (newest first). Use the cursor pagination parameters (`limit`, `after`, `before`) to page through large result sets.","tags":["Automations"],"parameters":["7f324ad9-a8b5-43f5-88a2-ed0ec5238e78","2ebb4ecd-cbfa-483f-9fbe-65ca155faaba","257e9e82-e1a7-4cdf-b3a1-4d9f3cfdebef","84c63bd0-352c-4c13-ae28-b30d815c1716"],"responses":{"200":"97b595ee-ed3e-4cf6-be83-1e43d1c0048b","404":"2205c9fd-c5d7-4c23-9843-ea55ff0f6ebe","429":"256073bf-4fa9-4125-b28a-8a1a0fb12aa0"},"method":"get","type":"path","servers":["1b325a3e-378e-4462-b337-ab577a66ddca"],"security":["a5e357cd-5642-4241-8b01-68913d31c4f0"],"path":"/agents/{agent_id}/automations","baseUrlOptions":["https://api.datagrid.com/v1"],"title":"List automations","codeSamples":[],"requestExampleLanguages":["python","javascript","bash"],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"7f324ad9-a8b5-43f5-88a2-ed0ec5238e78":{"name":"agent_id","in":"path","required":true,"description":"The ID of the agent whose automations to list.","schema":{"type":"string","isRequired":true,"description":"The ID of the agent whose automations to list.","uniqueKey":"","typeLabel":"string"}},"2ebb4ecd-cbfa-483f-9fbe-65ca155faaba":{"name":"limit","in":"query","schema":{"type":"integer","default":50,"minimum":1,"maximum":100,"isRequired":false,"description":"The limit on the number of objects to return, ranging between 1 and 100.","uniqueKey":"","typeLabel":"integer"},"required":false,"description":"The limit on the number of objects to return, ranging between 1 and 100."},"257e9e82-e1a7-4cdf-b3a1-4d9f3cfdebef":{"name":"after","in":"query","schema":{"type":"string","isRequired":false,"description":"A cursor to use in pagination. `after` is an object ID that defines your place in the list. For example, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `after=obj_foo` to fetch the next page of the list.","uniqueKey":"","typeLabel":"string"},"required":false,"description":"A cursor to use in pagination. `after` is an object ID that defines your place in the list. For example, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `after=obj_foo` to fetch the next page of the list."},"84c63bd0-352c-4c13-ae28-b30d815c1716":{"name":"before","in":"query","schema":{"type":"string","isRequired":false,"description":"A cursor to use in pagination. `before` is an object ID that defines your place in the list. For example, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `before=obj_bar` to fetch the previous page of the list.","uniqueKey":"","typeLabel":"string"},"required":false,"description":"A cursor to use in pagination. `before` is an object ID that defines your place in the list. For example, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `before=obj_bar` to fetch the previous page of the list."}},"responses":{"97b595ee-ed3e-4cf6-be83-1e43d1c0048b":{"description":"List of automations for the agent","content":{"application/json":{"schema":{"type":"object","required":["object","data","has_more"],"properties":{"object":{"type":"string","enum":["list"],"description":"The object type, always 'list'.","isRequired":true,"uniqueKey":"object","typeLabel":"enum\u003cstring>"},"data":{"type":"array","items":{"type":"object","required":["object","id","name","description","enabled","created_at","cron","timezone","prompt","thread_mode"],"properties":{"object":{"type":"string","enum":["automation"],"description":"The object type, always 'automation'.","isRequired":true,"uniqueKey":"data.items.[INDEX].object","typeLabel":"enum\u003cstring>"},"id":{"type":"string","description":"Unique identifier for the automation.","isRequired":true,"uniqueKey":"data.items.[INDEX].id","typeLabel":"string"},"name":{"type":"string","description":"Human-readable name of the automation.","isRequired":true,"uniqueKey":"data.items.[INDEX].name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"Optional free-text description of what this automation does.","isRequired":true,"uniqueKey":"data.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","description":"Optional free-text description of what this automation does.","isRequired":true,"uniqueKey":"data.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].description","typeLabel":"string | null"},"enabled":{"type":"boolean","description":"Whether the automation is active. When `false` the cron trigger is paused and no runs are scheduled until it is re-enabled.","isRequired":true,"uniqueKey":"data.items.[INDEX].enabled","typeLabel":"boolean"},"created_at":{"type":"string","format":"date-time","description":"ISO 8601 timestamp of when the automation was created.","isRequired":true,"uniqueKey":"data.items.[INDEX].created_at","typeLabel":"string\u003cdate-time>"},"cron":{"oneOf":[{"type":"string","description":"Five-field cron expression controlling when the automation fires (e.g. `\"0 9 * * 1\"` = every Monday at 09:00). Seconds are not supported. Must have a minimum inter-fire interval of 15 minutes.","example":"0 9 * * 1","isRequired":true,"uniqueKey":"data.items.[INDEX].cron.oneOf.0","typeLabel":"string"},{"type":"null","description":"Five-field cron expression controlling when the automation fires (e.g. `\"0 9 * * 1\"` = every Monday at 09:00). Seconds are not supported. Must have a minimum inter-fire interval of 15 minutes.","example":"0 9 * * 1","isRequired":true,"uniqueKey":"data.items.[INDEX].cron.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].cron","typeLabel":"string | null"},"timezone":{"oneOf":[{"type":"string","description":"IANA timezone identifier in which `cron` is interpreted (e.g. `\"America/New_York\"`, `\"UTC\"`). Defaults to `\"UTC\"` when not provided on create.","example":"America/New_York","isRequired":true,"uniqueKey":"data.items.[INDEX].timezone.oneOf.0","typeLabel":"string"},{"type":"null","description":"IANA timezone identifier in which `cron` is interpreted (e.g. `\"America/New_York\"`, `\"UTC\"`). Defaults to `\"UTC\"` when not provided on create.","example":"America/New_York","isRequired":true,"uniqueKey":"data.items.[INDEX].timezone.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].timezone","typeLabel":"string | null"},"prompt":{"oneOf":[{"type":"string","description":"The instruction text sent to the agent each time the automation fires. Supports Markdown.","isRequired":true,"uniqueKey":"data.items.[INDEX].prompt.oneOf.0","typeLabel":"string"},{"type":"null","description":"The instruction text sent to the agent each time the automation fires. Supports Markdown.","isRequired":true,"uniqueKey":"data.items.[INDEX].prompt.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].prompt","typeLabel":"string | null"},"thread_mode":{"oneOf":[{"type":"string","enum":["new_thread","same_conversation"],"description":"Controls whether each scheduled run creates a fresh conversation thread or continues in the same persistent conversation.\n- `new_thread` — (default) Each run starts a new conversation. Results\n are isolated; the agent has no memory of prior runs unless it uses\n agent memory tools.\n- `same_conversation` — Every run appends to the same conversation\n thread. The agent sees the full history of prior runs, which is\n useful for incremental summaries or stateful workflows.","isRequired":true,"uniqueKey":"data.items.[INDEX].thread_mode.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["new_thread","same_conversation"],"description":"Controls whether each scheduled run creates a fresh conversation thread or continues in the same persistent conversation.\n- `new_thread` — (default) Each run starts a new conversation. Results\n are isolated; the agent has no memory of prior runs unless it uses\n agent memory tools.\n- `same_conversation` — Every run appends to the same conversation\n thread. The agent sees the full history of prior runs, which is\n useful for incremental summaries or stateful workflows.","isRequired":true,"uniqueKey":"data.items.[INDEX].thread_mode.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].thread_mode","typeLabel":"enum\u003cstring> | null"},"updated_at":{"oneOf":[{"type":"string","format":"date-time","description":"ISO 8601 timestamp of the last modification.","uniqueKey":"data.items.[INDEX].updated_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"ISO 8601 timestamp of the last modification.","uniqueKey":"data.items.[INDEX].updated_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.items.[INDEX].updated_at","typeLabel":"string\u003cdate-time> | null"},"destination_type":{"oneOf":[{"type":"string","enum":["agent_dm","channel","user_dm"],"description":"Where the automation's conversation runs and results are delivered.\n- `agent_dm` — (default) Results are posted in the agent's own DM\n space. No `destination_id` is required.\n- `channel` — Results are posted in a specific Datagrid channel.\n Provide the channel ID in `destination_id`.\n- `user_dm` — Results are sent as a direct message to a specific user.\n Provide the user ID in `destination_id`.","uniqueKey":"data.items.[INDEX].destination_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["agent_dm","channel","user_dm"],"description":"Where the automation's conversation runs and results are delivered.\n- `agent_dm` — (default) Results are posted in the agent's own DM\n space. No `destination_id` is required.\n- `channel` — Results are posted in a specific Datagrid channel.\n Provide the channel ID in `destination_id`.\n- `user_dm` — Results are sent as a direct message to a specific user.\n Provide the user ID in `destination_id`.","uniqueKey":"data.items.[INDEX].destination_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.items.[INDEX].destination_type","typeLabel":"enum\u003cstring> | null"},"destination_id":{"oneOf":[{"type":"string","description":"The channel ID or user ID that identifies the destination. Required when `destination_type` is `channel` or `user_dm`; omit for `agent_dm`.","uniqueKey":"data.items.[INDEX].destination_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The channel ID or user ID that identifies the destination. Required when `destination_type` is `channel` or `user_dm`; omit for `agent_dm`.","uniqueKey":"data.items.[INDEX].destination_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.items.[INDEX].destination_id","typeLabel":"string | null"},"output_channel_id":{"oneOf":[{"type":"string","description":"ID of an additional delivery channel (Slack channel, Teams channel, email address, etc.) where automation results are also posted.","uniqueKey":"data.items.[INDEX].output_channel_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"ID of an additional delivery channel (Slack channel, Teams channel, email address, etc.) where automation results are also posted.","uniqueKey":"data.items.[INDEX].output_channel_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.items.[INDEX].output_channel_id","typeLabel":"string | null"},"output_channel_type":{"oneOf":[{"type":"string","description":"The transport type of the output channel. One of `\"email\"`, `\"slack\"`, `\"teams\"`, `\"sms\"`.","uniqueKey":"data.items.[INDEX].output_channel_type.oneOf.0","typeLabel":"string"},{"type":"null","description":"The transport type of the output channel. One of `\"email\"`, `\"slack\"`, `\"teams\"`, `\"sms\"`.","uniqueKey":"data.items.[INDEX].output_channel_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.items.[INDEX].output_channel_type","typeLabel":"string | null"},"notification_preference":{"oneOf":[{"type":"string","enum":["always","on_failure","never"],"description":"Controls when users are notified about automation run outcomes.\n- `always` — Notify after every run regardless of success or failure. - `on_failure` — (default) Notify only when a run fails or produces an\n error.\n- `never` — Do not send notifications for this automation.","uniqueKey":"data.items.[INDEX].notification_preference.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["always","on_failure","never"],"description":"Controls when users are notified about automation run outcomes.\n- `always` — Notify after every run regardless of success or failure. - `on_failure` — (default) Notify only when a run fails or produces an\n error.\n- `never` — Do not send notifications for this automation.","uniqueKey":"data.items.[INDEX].notification_preference.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.items.[INDEX].notification_preference","typeLabel":"enum\u003cstring> | null"},"prompt_file_ids":{"oneOf":[{"type":"array","description":"IDs of files attached to the automation prompt. These files are provided as context to the agent on every run.","items":{"type":"string","uniqueKey":"data.items.[INDEX].prompt_file_ids.oneOf.0.items.[INDEX]","typeLabel":"string"},"uniqueKey":"data.items.[INDEX].prompt_file_ids.oneOf.0","typeLabel":"string[]"},{"type":"null","description":"IDs of files attached to the automation prompt. These files are provided as context to the agent on every run.","items":{"type":"string"},"uniqueKey":"data.items.[INDEX].prompt_file_ids.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.items.[INDEX].prompt_file_ids","typeLabel":"string[] | null"}},"uniqueKey":"data.items.[INDEX]","typeLabel":"object"},"description":"Array of automation objects for the current page.","isRequired":true,"uniqueKey":"data","typeLabel":"object[]"},"has_more":{"type":"boolean","description":"Whether additional pages are available. When `true`, pass the ID of the last item in `data` as the `after` cursor to fetch the next page.","isRequired":true,"uniqueKey":"has_more","typeLabel":"boolean"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"object":"list","data":[{"object":"automation","id":"\u003cstring>","name":"\u003cstring>","description":"\u003cstring>","enabled":true,"created_at":"2023-11-07T05:31:56Z","cron":"0 9 * * 1","timezone":"America/New_York","prompt":"\u003cstring>","thread_mode":"new_thread","updated_at":"2023-11-07T05:31:56Z","destination_type":"agent_dm","destination_id":"\u003cstring>","output_channel_id":"\u003cstring>","output_channel_type":"\u003cstring>","notification_preference":"always","prompt_file_ids":["\u003cstring>"]}],"has_more":true}}},"exampleType":"generated"}},"exampleType":"generated"},"2205c9fd-c5d7-4c23-9843-ea55ff0f6ebe":{"description":"Not found. The requested agent does not exist, or the authenticated API key does not have permission to access it.","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"256073bf-4fa9-4125-b28a-8a1a0fb12aa0":{"description":"Rate limit exceeded. The request has been throttled because the rate limit for this endpoint has been reached. Check the `Retry-After` response header and retry after the specified number of seconds.","content":{"application/json":{"schema":{"type":"object","description":"Returned when the rate limit is exceeded. Rate limits are enforced per teamspace, endpoint path, and HTTP method over a 60-second sliding window. Each endpoint may have its own limit — check the X-RateLimit-Limit response header for the effective value.","required":["error","message","retryable","status_code"],"properties":{"status_code":{"type":"integer","description":"The HTTP status code (429).","isRequired":true,"uniqueKey":"status_code","typeLabel":"integer"},"error":{"type":"string","enum":["rate_limit_exceeded"],"description":"The error code identifying this as a rate limit error.","isRequired":true,"uniqueKey":"error","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"A human-readable error message.","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"retryable":{"type":"boolean","description":"Whether the request can be retried after a delay.","isRequired":true,"uniqueKey":"retryable","typeLabel":"boolean"},"statusCode":{"type":"integer","deprecated":true,"description":"Deprecated. Use status_code instead.","uniqueKey":"statusCode","typeLabel":"integer"},"mitigation":{"type":"string","description":"Suggested action to resolve the error.","uniqueKey":"mitigation","typeLabel":"string"},"details":{"type":"object","properties":{"reason":{"type":"string","description":"A detailed explanation of why the rate limit was exceeded.","uniqueKey":"details.reason","typeLabel":"string"}},"uniqueKey":"details","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"status_code":123,"error":"rate_limit_exceeded","message":"\u003cstring>","retryable":true,"statusCode":123,"mitigation":"\u003cstring>","details":{"reason":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"a5e357cd-5642-4241-8b01-68913d31c4f0":{"BearerAuth":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"BearerAuth"}}},"servers":{"1b325a3e-378e-4462-b337-ab577a66ddca":{"url":"https://api.datagrid.com/v1"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"BearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"}]},"originalFileLocation":"datagrid-ai-open-api.yaml"},"subdomain":"datagrid","siteName":"Datagrid AI","title":"List automations - Datagrid AI","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-08-07T01:47:02.072Z","originalFileLocation":"api-reference/automations/list-automations.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"List all runAgent automations that belong to the specified agent. Returns automations in reverse-chronological order (newest first). Use the cursor pagination parameters (limit, after, before) to page through large result sets.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Datagrid AI\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/datagrid/rhNSAymIRcJFenDe/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/datagrid/rhNSAymIRcJFenDe/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/datagrid/rhNSAymIRcJFenDe/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/datagrid/rhNSAymIRcJFenDe/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/datagrid/rhNSAymIRcJFenDe/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/datagrid/rhNSAymIRcJFenDe/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/datagrid/rhNSAymIRcJFenDe/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/datagrid/rhNSAymIRcJFenDe/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/datagrid/rhNSAymIRcJFenDe/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List automations - Datagrid AI\">\u003cmeta data-mint-head property=\"og:description\" content=\"List all runAgent automations that belong to the specified agent. Returns automations in reverse-chronological order (newest first). Use the cursor pagination parameters (limit, after, before) to page through large result sets.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Datagrid AI\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developers.datagrid.com/api-reference/automations/list-automations\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://datagrid.mintlify.site/_mintlify/api/og/v2?division=Automations\u0026amp;title=List+automations\u0026amp;description=List+all+%60runAgent%60+automations+that+belong+to+the+specified+agent.+Returns+automations+in+reverse-chronological+order+%28newest+first%29.+Use+the+cursor+pagination\u0026amp;theme=93e855688d813180906429a5\u0026amp;signature=b3bc48c8a7f59daf473a7af520fb4cfc408ea4316f8f7ec9e4b9d64e9de5cf9c\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List automations - Datagrid AI\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"List all runAgent automations that belong to the specified agent. Returns automations in reverse-chronological order (newest first). Use the cursor pagination parameters (limit, after, before) to page through large result sets.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://datagrid.mintlify.site/_mintlify/api/og/v2?division=Automations\u0026amp;title=List+automations\u0026amp;description=List+all+%60runAgent%60+automations+that+belong+to+the+specified+agent.+Returns+automations+in+reverse-chronological+order+%28newest+first%29.+Use+the+cursor+pagination\u0026amp;theme=93e855688d813180906429a5\u0026amp;signature=b3bc48c8a7f59daf473a7af520fb4cfc408ea4316f8f7ec9e4b9d64e9de5cf9c\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/datagrid/rhNSAymIRcJFenDe/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Datagrid AI\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#000000\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developers.datagrid.com/api-reference/automations/list-automations\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/automations/list-automations.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developers.datagrid.com/#organization\",\"name\":\"Datagrid AI\",\"url\":\"https://developers.datagrid.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/datagrid/3IQk8fJ69KvSFDfU/images/datagrid-logo-light.svg?fit=max\u0026auto=format\u0026n=3IQk8fJ69KvSFDfU\u0026q=85\u0026s=c4274428e9b371bf09005fa9db0ed804\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developers.datagrid.com#website\",\"name\":\"Datagrid AI\",\"url\":\"https://developers.datagrid.com\",\"publisher\":{\"@id\":\"https://developers.datagrid.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developers.datagrid.com/api-reference/automations/list-automations#webpage\",\"url\":\"https://developers.datagrid.com/api-reference/automations/list-automations\",\"name\":\"List automations\",\"description\":\"List all runAgent automations that belong to the specified agent. Returns automations in reverse-chronological order (newest first). Use the cursor pagination parameters (limit, after, before) to page through large result sets.\",\"dateModified\":\"2026-08-07T01:47:02.072Z\",\"isPartOf\":{\"@id\":\"https://developers.datagrid.com#website\"},\"breadcrumb\":{\"@id\":\"https://developers.datagrid.com/api-reference/automations/list-automations#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developers.datagrid.com/api-reference/automations/list-automations#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Automations\",\"item\":\"https://developers.datagrid.com/api-reference/automations/create-automation\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"List automations\",\"item\":\"https://developers.datagrid.com/api-reference/automations/list-automations\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developers.datagrid.com/api-reference/automations/list-automations#apireference\",\"headline\":\"List automations\",\"name\":\"List automations\",\"description\":\"List all runAgent automations that belong to the specified agent. Returns automations in reverse-chronological order (newest first). Use the cursor pagination parameters (limit, after, before) to page through large result sets.\",\"url\":\"https://developers.datagrid.com/api-reference/automations/list-automations\",\"mainEntityOfPage\":{\"@id\":\"https://developers.datagrid.com/api-reference/automations/list-automations#webpage\"},\"dateModified\":\"2026-08-07T01:47:02.072Z\",\"publisher\":{\"@id\":\"https://developers.datagrid.com/#organization\"},\"isPartOf\":{\"@id\":\"https://developers.datagrid.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Datagrid AI\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Datagrid AI","nav":{"global":{"anchors":[{"anchor":"Get your API Key","icon":"code","href":"https://app.datagrid.com/chats?at=chats\u0026st=api_keys\u0026redirect_url=chats?at=chats%26st=api_keys"},{"anchor":"Join us on Slack","icon":"slack","href":"https://join.slack.com/t/datagrid-users/shared_invite/zt-2tl2omd78-qO8zHN5_sK39_lRsyZA4Dg"}]},"tabs":[{"tab":"API Reference","groups":[{"group":"Introduction","pages":[{"title":"Quickstart","href":"/introduction/quickstart"},{"title":"Connecting Agents to Apps","href":"/introduction/connections"},{"title":"Creating Data Views","href":"/introduction/data-views"},{"title":"Rate Limits","href":"/api-reference/rate-limits"},{"title":"Agent Server egress IPs","href":"/introduction/agent-server-egress-ips"}]},{"group":"Converse","pages":[{"title":"Getting started with Converse","href":"/api-reference/converse/converse-getting-started"},{"openapi":"post /converse","title":"Converse","href":"/api-reference/converse/converse"},{"title":"Converse Modes","href":"/api-reference/converse/modes"},{"title":"Knowledge and corpus","href":"/api-reference/converse/knowledge-and-corpus"},{"title":"Streaming","href":"/api-reference/converse/streaming"},{"title":"Structured Outputs","href":"/api-reference/converse/structured-outputs"},{"title":"File Inputs","href":"/api-reference/converse/file-inputs"},{"title":"MCP Servers (Beta)","href":"/api-reference/converse/mcp-servers"}]},{"group":"Voice","pages":[{"title":"Voice Conversations","href":"/api-reference/voice/voice"},{"title":"iOS / Swift Integration","href":"/api-reference/voice/ios-integration"},{"openapi":"post /voice","title":"Start voice session","href":"/api-reference/voice/start-voice-session"},{"openapi":"get /voice-orchestrator/tasks/{task_id}","title":"Retrieve voice orchestrator task","href":"/api-reference/voice/retrieve-voice-orchestrator-task"},{"openapi":"get /voice-orchestrator/tasks","title":"List voice orchestrator tasks","href":"/api-reference/voice/list-voice-orchestrator-tasks"},{"openapi":"patch /voice-orchestrator/tasks/{task_id}/acknowledge","title":"Acknowledge voice orchestrator task","href":"/api-reference/voice/acknowledge-voice-orchestrator-task"},{"openapi":"patch /voice-orchestrator/tasks/{task_id}/cancel","title":"Cancel voice orchestrator task","href":"/api-reference/voice/cancel-voice-orchestrator-task"}]},{"group":"Identity","pages":[{"openapi":"get /identity","title":"Retrieve current identity","href":"/api-reference/identity/retrieve-current-identity"}]},{"group":"Agents","pages":[{"title":"Getting started with Agents","href":"/api-reference/agents/agents"},{"title":"Getting the most out of agents","href":"/api-reference/agents/agent-best-practices"},{"openapi":"post /agents","title":"Create agent","href":"/api-reference/agents/create-agent"},{"openapi":"get /agents/{agent_id}","title":"Retrieve agent","href":"/api-reference/agents/retrieve-agent"},{"openapi":"get /agents","title":"List agents","href":"/api-reference/agents/list-agents"},{"openapi":"patch /agents/{agent_id}","title":"Update agent","href":"/api-reference/agents/update-agent"},{"openapi":"delete /agents/{agent_id}","title":"Delete agent","href":"/api-reference/agents/delete-agent"},{"openapi":"post /agents/generate","title":"Generate agent from natural language","href":"/api-reference/agents/generate-agent-from-natural-language"},{"openapi":"post /agents/claim","title":"Claim a generated agent template","href":"/api-reference/agents/claim-a-generated-agent-template"}]},{"group":"Skills","pages":[{"openapi":"post /skills","title":"Create skill","href":"/api-reference/skills/create-skill"},{"openapi":"get /skills/{skill_id}","title":"Retrieve skill","href":"/api-reference/skills/retrieve-skill"},{"openapi":"get /skills","title":"List skills","href":"/api-reference/skills/list-skills"},{"openapi":"patch /skills/{skill_id}","title":"Update skill","href":"/api-reference/skills/update-skill"},{"openapi":"delete /skills/{skill_id}","title":"Delete skill","href":"/api-reference/skills/delete-skill"},{"openapi":"post /skills/{skill_id}/clone","title":"Clone skill","href":"/api-reference/skills/clone-skill"},{"openapi":"get /skills/builtin","title":"List built-in skill catalog","href":"/api-reference/skills/list-built-in-skill-catalog"},{"openapi":"post /skills/builtin/{builtin_key}/override","title":"Override built-in skill","href":"/api-reference/skills/override-built-in-skill"},{"openapi":"post /skills/builtin/{builtin_key}/reset","title":"Reset built-in skill override","href":"/api-reference/skills/reset-built-in-skill-override"},{"openapi":"post /skills/{skill_id}/promote","title":"Promote skill to company","href":"/api-reference/skills/promote-skill-to-company"},{"openapi":"post /skills/{skill_id}/demote","title":"Demote skill to private","href":"/api-reference/skills/demote-skill-to-private"},{"openapi":"post /skills/generate","title":"Generate skill drafts","href":"/api-reference/skills/generate-skill-drafts"}]},{"group":"Automations","pages":[{"openapi":"post /agents/{agent_id}/automations","title":"Create automation","href":"/api-reference/automations/create-automation"},{"openapi":"get /agents/{agent_id}/automations/{automation_id}","title":"Retrieve automation","description":"Get details of a specific automation belonging to an agent.","href":"/api-reference/automations/retrieve-automation"},{"openapi":"get /agents/{agent_id}/automations","title":"List automations","href":"/api-reference/automations/list-automations"},{"openapi":"patch /agents/{agent_id}/automations/{automation_id}","title":"Update automation","description":"Update an existing automation. All fields are optional — only supplied fields are changed. Updating `cron` or `timezone` triggers the same 15-minute minimum-interval validation as creation.","href":"/api-reference/automations/update-automation"},{"openapi":"delete /agents/{agent_id}/automations/{automation_id}","title":"Delete automation","href":"/api-reference/automations/delete-automation"}]},{"group":"Knowledge","pages":[{"openapi":"post /knowledge","title":"Create knowledge","href":"/api-reference/knowledge/create-knowledge"},{"openapi":"post /knowledge/connect","title":"Create knowledge from connection","href":"/api-reference/knowledge/create-knowledge-from-connection"},{"openapi":"get /knowledge/{knowledge_id}","title":"Retrieve knowledge","href":"/api-reference/knowledge/retrieve-knowledge"},{"openapi":"get /knowledge","title":"List knowledge","href":"/api-reference/knowledge/list-knowledge"},{"openapi":"patch /knowledge/{knowledge_id}","title":"Update knowledge","href":"/api-reference/knowledge/update-knowledge"},{"openapi":"delete /knowledge/{knowledge_id}","title":"Delete knowledge","href":"/api-reference/knowledge/delete-knowledge"},{"openapi":"post /knowledge/{knowledge_id}/reindex","title":"Reindex knowledge","href":"/api-reference/knowledge/reindex-knowledge"},{"title":"Knowledge upload limits","href":"/knowledge/upload-limits"},{"group":"Tables","pages":[{"openapi":"get /tables/{table_id}","title":"Retrieve table","href":"/api-reference/tables/retrieve-table"},{"openapi":"get /tables","title":"List tables","href":"/api-reference/tables/list-tables"},{"openapi":"get /tables/{table_id}/records","title":"List records","href":"/api-reference/tables/list-records"},{"openapi":"get /tables/{table_id}/summaries","title":"List summaries","href":"/api-reference/tables/list-summaries"},{"title":"Replicating Tables","href":"/api-reference/tables/replicating-tables"}]},{"group":"Data Views","pages":[{"openapi":"post /data-views","title":"Create data view","href":"/api-reference/data-views/create-data-view"},{"openapi":"get /data-views","title":"List data views","href":"/api-reference/data-views/list-data-views"},{"openapi":"delete /data-views/{data_view_id}","title":"Delete data view","href":"/api-reference/data-views/delete-data-view"},{"openapi":"post /data-views/service-accounts","title":"Create service account","href":"/api-reference/data-views/create-service-account"},{"openapi":"get /data-views/service-accounts","title":"List service accounts","href":"/api-reference/data-views/list-service-accounts"},{"openapi":"delete /data-views/service-accounts/{service_account_id}","title":"Delete service account","href":"/api-reference/data-views/delete-service-account"},{"openapi":"get /data-views/service-accounts/{service_account_id}/credentials","title":"Get service account credentials","href":"/api-reference/data-views/get-service-account-credentials"}]}]},{"group":"Search","pages":[{"openapi":"get /search","title":"Search","href":"/api-reference/search/search"},{"openapi":"get /search/tree","title":"Search Tree","href":"/api-reference/search/search-tree"},{"openapi":"post /search/ai","title":"AI Search","href":"/api-reference/search/ai-search"}]},{"group":"Conversations","pages":[{"openapi":"post /conversations","title":"Create conversation","href":"/api-reference/conversations/create-conversation"},{"openapi":"get /conversations/{conversation_id}","title":"Retrieve conversation","href":"/api-reference/conversations/retrieve-conversation"},{"openapi":"get /conversations","title":"List conversations","href":"/api-reference/conversations/list-conversations"},{"openapi":"delete /conversations/{conversation_id}","title":"Delete conversation","href":"/api-reference/conversations/delete-conversation"},{"openapi":"patch /conversations/{conversation_id}","title":"Update conversation","href":"/api-reference/conversations/update-conversation"}]},{"group":"Messages","pages":[{"openapi":"get /conversations/{conversation_id}/messages/{message_id}","title":"Retrieve message","href":"/api-reference/conversations/retrieve-message"},{"openapi":"get /conversations/{conversation_id}/messages","title":"List messages","href":"/api-reference/conversations/list-messages"},{"openapi":"post /conversations/{conversation_id}/messages/{message_id}","title":"Submit message feedback","href":"/api-reference/conversations/submit-message-feedback"}]},{"group":"Connections","pages":[{"openapi":"post /connections","title":"Create connection","href":"/api-reference/connections/create-connection"},{"openapi":"get /connections/{connection_id}","title":"Retrieve connection","href":"/api-reference/connections/retrieve-connection"},{"openapi":"get /connections","title":"List connections","href":"/api-reference/connections/list-connections"},{"openapi":"patch /connections/{connection_id}","title":"Update connection","href":"/api-reference/connections/update-connection"},{"openapi":"delete /connections/{connection_id}","title":"Delete connection","href":"/api-reference/connections/delete-connection"}]},{"group":"Connection Providers","pages":[{"openapi":"post /connection-providers","title":"Create connection provider","href":"/api-reference/connection-providers/create-connection-provider"},{"openapi":"get /connection-providers/{connection_provider_id}","title":"Retrieve connection provider","href":"/api-reference/connection-providers/retrieve-connection-provider"},{"openapi":"get /connection-providers","title":"List connection providers","href":"/api-reference/connection-providers/list-connection-providers"},{"openapi":"patch /connection-providers/{connection_provider_id}","title":"Update connection provider","href":"/api-reference/connection-providers/update-connection-provider"},{"openapi":"delete /connection-providers/{connection_provider_id}","title":"Delete connection provider","href":"/api-reference/connection-providers/delete-connection-provider"}]},{"group":"Connectors","pages":[{"openapi":"get /connectors","title":"List connectors","href":"/api-reference/connectors/list-connectors"},{"openapi":"get /connectors/health","title":"Get connector health","href":"/api-reference/connectors/get-connector-health"}]},{"group":"Files","pages":[{"openapi":"post /files","title":"Create files","href":"/api-reference/files/create-files"},{"openapi":"get /files/{file_id}","title":"Retrieve file","href":"/api-reference/files/retrieve-file"},{"openapi":"get /files","title":"List files","href":"/api-reference/files/list-files"},{"openapi":"delete /files/{file_id}","title":"Delete file","href":"/api-reference/files/delete-file"},{"openapi":"get /files/{file_id}/content","title":"Retrieve file content","href":"/api-reference/files/retrieve-file-content"},{"openapi":"patch /files/{file_id}","title":"Update file","href":"/api-reference/files/update-file"}]},{"group":"Tools","pages":[{"openapi":"get /tools/{tool_name}","title":"Retrieve tool","href":"/api-reference/tools/retrieve-tool"},{"openapi":"get /tools","title":"List tools","href":"/api-reference/tools/list-tools"}]},{"group":"Models","pages":[{"openapi":"get /models","title":"List models","href":"/api-reference/models/list-models"}]},{"group":"Secrets","pages":[{"openapi":"post /secrets","title":"Create secret","href":"/api-reference/secrets/create-secret"},{"openapi":"get /secrets/{secret_id}","title":"Retrieve secret","href":"/api-reference/secrets/retrieve-secret"},{"openapi":"get /secrets","title":"List secrets","href":"/api-reference/secrets/list-secrets"},{"openapi":"delete /secrets/{secret_id}","title":"Delete secret","href":"/api-reference/secrets/delete-secret"}]},{"group":"Webhooks","pages":[{"title":"Webhooks overview","href":"/api-reference/webhooks/overview"},{"openapi":"post /webhooks","title":"Create webhook","href":"/api-reference/webhooks/create-webhook"},{"openapi":"get /webhooks/{webhook_id}","title":"Retrieve webhook","href":"/api-reference/webhooks/retrieve-webhook"},{"openapi":"get /webhooks","title":"List webhooks","href":"/api-reference/webhooks/list-webhooks"},{"openapi":"patch /webhooks/{webhook_id}","title":"Update webhook","href":"/api-reference/webhooks/update-webhook"},{"openapi":"delete /webhooks/{webhook_id}","title":"Delete webhook","href":"/api-reference/webhooks/delete-webhook"},{"openapi":"get /webhooks/active","title":"List active webhooks for event","href":"/api-reference/webhooks/list-active-webhooks-for-event"}]},{"group":"Memory","pages":[{"openapi":"post /user-memories","title":"Create User Memory","href":"/api-reference/memory/create-user-memory"},{"openapi":"get /user-memories","title":"List User Memory","href":"/api-reference/memory/list-user-memory"},{"openapi":"delete /user-memories/{user_memory_id}","title":"Delete User Memory","href":"/api-reference/memory/delete-user-memory"}]},{"group":"Pages","pages":[{"openapi":"post /pages","title":"Create page","href":"/api-reference/pages/create-page"},{"openapi":"get /pages/{page_id}","title":"Retrieve page","href":"/api-reference/pages/retrieve-page"},{"openapi":"get /pages","title":"List pages","href":"/api-reference/pages/list-pages"},{"openapi":"patch /pages/{page_id}","title":"Update page","href":"/api-reference/pages/update-page"},{"openapi":"delete /pages/{page_id}","title":"Delete page","href":"/api-reference/pages/delete-page"}]},{"group":"MCP Servers - Beta","pages":[{"title":"Overview","href":"/api-reference/mcp-servers/overview"},{"openapi":"post /organization/mcp-servers","title":"Create MCP server","href":"/api-reference/mcp-servers/create-mcp-server"},{"openapi":"get /organization/mcp-servers/{server_id}","title":"Retrieve MCP server","href":"/api-reference/mcp-servers/retrieve-mcp-server"},{"openapi":"get /organization/mcp-servers","title":"List MCP servers","href":"/api-reference/mcp-servers/list-mcp-servers"},{"openapi":"patch /organization/mcp-servers/{server_id}","title":"Update MCP server","href":"/api-reference/mcp-servers/update-mcp-server"},{"openapi":"delete /organization/mcp-servers/{server_id}","title":"Delete MCP server","href":"/api-reference/mcp-servers/delete-mcp-server"},{"openapi":"post /organization/mcp-servers/{server_id}/start-oauth","title":"Start MCP OAuth flow","href":"/api-reference/mcp-servers/start-mcp-oauth-flow"},{"openapi":"post /organization/mcp-servers/{server_id}/oauth-callback","title":"Complete MCP OAuth flow","href":"/api-reference/mcp-servers/complete-mcp-oauth-flow"}]},{"group":"Batch Predictions","pages":[{"title":"Batch Predictions overview","href":"/api-reference/batch-predictions/overview"},{"openapi":"post /batch-predictions","title":"Create batch prediction","href":"/api-reference/batch-predictions/create-batch-prediction"},{"openapi":"get /batch-predictions/{batch_prediction_id}","title":"Retrieve batch prediction","href":"/api-reference/batch-predictions/retrieve-batch-prediction"},{"openapi":"get /batch-predictions","title":"List batch predictions","href":"/api-reference/batch-predictions/list-batch-predictions"},{"openapi":"post /batch-predictions/{batch_prediction_id}/cancel","title":"Cancel batch prediction","href":"/api-reference/batch-predictions/cancel-batch-prediction"},{"openapi":"get /batch-predictions/{batch_prediction_id}/results","title":"Retrieve batch prediction results","href":"/api-reference/batch-predictions/retrieve-batch-prediction-results"},{"title":"Batch prediction errors","href":"/api-reference/batch-predictions/errors"}]},{"group":"Event Triggers","pages":[{"title":"Event Triggers overview","href":"/api-reference/event-triggers/overview"},{"openapi":"post /agents/{agent_id}/event-triggers","title":"Create event trigger","href":"/api-reference/event-triggers/create-event-trigger"},{"openapi":"get /agents/{agent_id}/event-triggers","title":"List event triggers","href":"/api-reference/event-triggers/list-event-triggers"},{"openapi":"patch /agents/{agent_id}/event-triggers/{trigger_id}","title":"Update event trigger","href":"/api-reference/event-triggers/update-event-trigger"},{"openapi":"delete /agents/{agent_id}/event-triggers/{trigger_id}","title":"Delete event trigger","href":"/api-reference/event-triggers/delete-event-trigger"}]},{"group":"Channels","pages":[{"openapi":"post /channels","title":"Create channel","href":"/api-reference/channels/create-channel"},{"openapi":"post /channels/{channel_id}/messages","title":"Create channel message","href":"/api-reference/channels/create-channel-message"},{"openapi":"post /channels/{channel_id}/threads/{thread_id}/messages","title":"Create thread message","href":"/api-reference/channels/create-thread-message"},{"openapi":"get /channels/{channel_id}","title":"Retrieve channel","href":"/api-reference/channels/retrieve-channel"},{"openapi":"get /channels/{channel_id}/threads/{thread_id}","title":"Retrieve channel thread","href":"/api-reference/channels/retrieve-channel-thread"},{"openapi":"get /channels","title":"List channels","href":"/api-reference/channels/list-channels"},{"openapi":"get /channels/{channel_id}/members","title":"List channel members","href":"/api-reference/channels/list-channel-members"},{"openapi":"get /channels/{channel_id}/messages","title":"List channel messages","href":"/api-reference/channels/list-channel-messages"},{"openapi":"get /channels/{channel_id}/threads","title":"List channel threads","href":"/api-reference/channels/list-channel-threads"},{"openapi":"get /channels/{channel_id}/threads/{thread_id}/messages","title":"List thread messages","href":"/api-reference/channels/list-thread-messages"},{"openapi":"patch /channels/{channel_id}","title":"Update channel","href":"/api-reference/channels/update-channel"},{"openapi":"post /channels/{channel_id}/members","title":"Add channel members","href":"/api-reference/channels/add-channel-members"},{"openapi":"delete /channels/{channel_id}/members/{member_id}","title":"Remove channel member","href":"/api-reference/channels/remove-channel-member"},{"openapi":"post /channels/{channel_id}/messages/{message_id}/threads","title":"Start a thread","href":"/api-reference/channels/start-a-thread"},{"openapi":"post /channels/{channel_id}/messages/{message_id}/reactions","title":"Add a message reaction","href":"/api-reference/channels/add-a-message-reaction"},{"openapi":"delete /channels/{channel_id}/messages/{message_id}/reactions/{reaction}","title":"Remove a message reaction","href":"/api-reference/channels/remove-a-message-reaction"}]},{"group":"Procore","pages":[{"openapi":"get /procore/companies","title":"List Procore companies","href":"/api-reference/procore/list-procore-companies"},{"openapi":"get /procore/companies/{company_id}/projects","title":"List Procore projects in a company","href":"/api-reference/procore/list-procore-projects-in-a-company"},{"openapi":"get /procore/companies/{company_id}/projects/{project_id}/connection","title":"Check whether a Procore project is connected to Procore AI","href":"/api-reference/procore/check-whether-a-procore-project-is-connected-to-procore-ai"}]},{"group":"Organization","pages":[{"group":"Credits","pages":[{"openapi":"get /organization/credits","title":"Get credits","href":"/api-reference/credits/get-credits"},{"openapi":"get /organization/reports/user-credits-consumption","title":"List user credit consumption","href":"/api-reference/credits/list-user-credit-consumption"},{"openapi":"get /organization/reports/consumption-breakdown","title":"List consumption breakdown","href":"/api-reference/credits/list-consumption-breakdown"}]},{"group":"Users","pages":[{"openapi":"get /organization/users/{user_id}","title":"Retrieve user","href":"/api-reference/users/retrieve-user"},{"openapi":"get /organization/users","title":"List users","href":"/api-reference/users/list-users"},{"openapi":"patch /organization/users/{user_id}","title":"Update user","href":"/api-reference/users/update-user"}]},{"group":"Teamspaces","pages":[{"openapi":"post /organization/teamspaces","title":"Create teamspace","href":"/api-reference/teamspaces/create-teamspace"},{"openapi":"get /organization/teamspaces/{teamspace_id}","title":"Retrieve teamspace","href":"/api-reference/teamspaces/retrieve-teamspace"},{"openapi":"get /organization/teamspaces","title":"List teamspaces","href":"/api-reference/teamspaces/list-teamspaces"},{"openapi":"patch /organization/teamspaces/{teamspace_id}","title":"Update teamspace","href":"/api-reference/teamspaces/update-teamspace"},{"title":"Scope Requests to a Teamspace","href":"/api-reference/teamspaces/scope-to-teamspace"}]},{"group":"Teamspace Invites","pages":[{"openapi":"post /organization/teamspaces/{teamspace_id}/invites","title":"Invite user to a teamspace","href":"/api-reference/teamspace-invites/invite-user-to-a-teamspace"},{"openapi":"get /organization/teamspaces/{teamspace_id}/invites/{invite_id}","title":"Retrieve teamspace invite","href":"/api-reference/teamspace-invites/retrieve-teamspace-invite"},{"openapi":"get /organization/teamspaces/{teamspace_id}/invites","title":"List teamspace invites","href":"/api-reference/teamspace-invites/list-teamspace-invites"},{"openapi":"delete /organization/teamspaces/{teamspace_id}/invites/{invite_id}","title":"Delete teamspace invite","href":"/api-reference/teamspace-invites/delete-teamspace-invite"}]},{"group":"Teamspace Users","pages":[{"openapi":"get /organization/teamspaces/{teamspace_id}/users/{user_id}","title":"Retrieve teamspace user","href":"/api-reference/teamspace-users/retrieve-teamspace-user"},{"openapi":"get /organization/teamspaces/{teamspace_id}/users","title":"List teamspace users","href":"/api-reference/teamspace-users/list-teamspace-users"},{"openapi":"patch /organization/teamspaces/{teamspace_id}/users/{user_id}","title":"Update teamspace user","href":"/api-reference/teamspace-users/update-teamspace-user"},{"openapi":"delete /organization/teamspaces/{teamspace_id}/users/{user_id}","title":"Delete teamspace user","href":"/api-reference/teamspace-users/delete-teamspace-user"}]}]}]},{"tab":"Connectors","pages":[{"title":"Connectors","href":"/connectors/all-connectors"}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/changelog/2026-08"}]}]},"basePath":"","title":"List automations - Datagrid AI","buildId":"dpl_BLQvU86QFwq3AhPofSTw6q8dGWKm","deploymentId":"dpl_BLQvU86QFwq3AhPofSTw6q8dGWKm","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-Myd8dsju.js","utils-C2HkQgW0.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-8rSppmTv.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-B6MjiCFm.js","snippetPresets-DwrSAONL.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-1-a5UQKQ.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C541m7wZ.js","shallow-CWELCZ77.js","getApiPlaygroundDisplay-CTo5Zn03.js","CodeSnippet-D--dzvnl.js","CodeSnippets-DM3cXEDh.js","Page-CxAy5y67.js","getPastedJson-C-VECgcL.js","icon-BPq2-Mg3.js","MethodPill-D9J5cUHd.js","DuplicateIcon-BqHaxUnD.js","createIcon-CIbcZHp9.js","DynamicMarkdown-BKiHAm_d.js","SectionHeading-DstQXt3H.js","axios-vUo_bRtp.js","Markdown-CpxgzsKA.js","clsx-C5EfhVm0.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CJ9Oly2E.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-Mk6P3qvh.js"]}